Topic
  • 4 replies
  • Latest Post - ‏2013-01-18T13:48:48Z by SystemAdmin
SystemAdmin
SystemAdmin
396 Posts

Pinned topic Propensity score on SPSS 20

‏2013-01-17T08:36:01Z |
Hi, I installed Essentials for R; SPSS 20 says to me that plug-in for R it's not installed and I cannot do it from IBM's download (The download:
IBM SPSS Statistics - Plug-In Source for R 20.0.0.0 -All Platforms SPSS_Statistics_RPlugin_Source_20.zip (160 KB) doesn't works!!!!).
I try anyway to use propensity score patch but the message I have is:

287 BEGIN PROGRAM The external program exit unexpectedly and lost its content, a new exteranl program will startup to execute the rest of job.

What can I do?

(Please forgive me for my English)

thank-you
Cristina
  • SystemAdmin
    SystemAdmin
    396 Posts

    Re: Propensity score on SPSS 20

    ‏2013-01-17T13:35:52Z  
    You didn't say what platform you are running on, but for most platforms, it isn't the plugin source code you need but the compiled plugin, which is available on the same site.

    If you are on Win7 or Vista, be sure to install the R Essentials using Run As Administrator. Of course, you need to install the appropriate version of R first. For Statistics 20 that would be R2.12.x.

    If you are using the PSM module we have posted, you need the Python Essentials, not the R Essentials. That package is also available on this site.

    HTH,
    Jon Peck
  • SystemAdmin
    SystemAdmin
    396 Posts

    Re: Propensity score on SPSS 20

    ‏2013-01-18T07:43:10Z  
    You didn't say what platform you are running on, but for most platforms, it isn't the plugin source code you need but the compiled plugin, which is available on the same site.

    If you are on Win7 or Vista, be sure to install the R Essentials using Run As Administrator. Of course, you need to install the appropriate version of R first. For Statistics 20 that would be R2.12.x.

    If you are using the PSM module we have posted, you need the Python Essentials, not the R Essentials. That package is also available on this site.

    HTH,
    Jon Peck
    Thank-you for your reply.
    I'm using Windows 7; I'm not sure I'lle be able to use mode 'run as administrator', are you talking about SPSS? Do I open SPSS before installing R essentials?
    The patch for propensity score I'm using it's not from this site; I thought that this one was only for SPSS 21, isn't it?
    Thank-you very much
  • SystemAdmin
    SystemAdmin
    396 Posts

    Re: Propensity score on SPSS 20

    ‏2013-01-18T08:41:25Z  
    You didn't say what platform you are running on, but for most platforms, it isn't the plugin source code you need but the compiled plugin, which is available on the same site.

    If you are on Win7 or Vista, be sure to install the R Essentials using Run As Administrator. Of course, you need to install the appropriate version of R first. For Statistics 20 that would be R2.12.x.

    If you are using the PSM module we have posted, you need the Python Essentials, not the R Essentials. That package is also available on this site.

    HTH,
    Jon Peck
    Dear Jon, what do you mean with compiled plugin?
    I've tried to download the file 'IBM SPSS Statistics - Plug-In Source for R 20.0.0.0 (All Platforms)
    SPSS_Statistics_RPlugin_Source_20.zip (160 KB)', but it'not possible to reach the page requested...
    I've just tried to install as administrator the essentials for R, but SPSS says to me that the plugin for R it's not installed...
    :-((
  • SystemAdmin
    SystemAdmin
    396 Posts

    Re: Propensity score on SPSS 20

    ‏2013-01-18T13:48:48Z  
    Dear Jon, what do you mean with compiled plugin?
    I've tried to download the file 'IBM SPSS Statistics - Plug-In Source for R 20.0.0.0 (All Platforms)
    SPSS_Statistics_RPlugin_Source_20.zip (160 KB)', but it'not possible to reach the page requested...
    I've just tried to install as administrator the essentials for R, but SPSS says to me that the plugin for R it's not installed...
    :-((
    Please download and read the installation instructions for the R Essentials if you still need them. You do NOT want the source code for the Essentials. That has to be compiled into a running program. You want the already built R Essentials. Select
    IBM SPSS Statistics Version 20 - Essentials for R. Then get the installation instructions and
    IBM SPSS Statistics - Essentials for R 20 FP1 for Windows (32 or 64 bit as appropriate)

    Remember that you must install R itself from the CRAN site first.

    The PSM module posted on this site will probably work with Statistics V20 with FP1, but if there is a problem, there is a hot fix available through Technical Support